io.vertx.ext.cluster.infinispan

## Class InfinispanClusterManager

- java.lang.Object
- - io.vertx.ext.cluster.infinispan.InfinispanClusterManager

- All Implemented Interfaces:
    ClusterManager

      public class InfinispanClusterManager
      extends Object
      implements ClusterManager

  Author:
    Thomas Segismont

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanClusterManager()` Creates a new cluster manager configured with `infinispan.xml` and `jgroups.xml` files.
    `InfinispanClusterManager(org.infinispan.manager.DefaultCacheManager cacheManager)` Creates a new cluster manager with an existing `DefaultCacheManager`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<K,V> void` | `getAsyncMap(String name, Handler<AsyncResult<AsyncMap<K,V>>> resultHandler)` Return an async map for the given name
    `<K,V> void` | `getAsyncMultiMap(String name, Handler<AsyncResult<AsyncMultiMap<K,V>>> resultHandler)` Return an async multi-map for the given name
    `org.infinispan.commons.api.BasicCacheContainer` | `getCacheContainer()`
    `void` | `getCounter(String name, Handler<AsyncResult<Counter>> resultHandler)`
    `void` | `getLockWithTimeout(String name, long timeout, Handler<AsyncResult<Lock>> resultHandler)`
    `String` | `getNodeID()` Return the unique node ID for this node
    `List<String>` | `getNodes()` Return a list of node IDs corresponding to the nodes in the cluster
    `<K,V> Map<K,V>` | `getSyncMap(String name)` Return a synchronous map for the given name
    `boolean` | `isActive()` Is the cluster manager active?
    `void` | `join(Handler<AsyncResult<Void>> resultHandler)` Join the cluster
    `void` | `leave(Handler<AsyncResult<Void>> resultHandler)` Leave the cluster
    `void` | `nodeListener(NodeListener nodeListener)` Set a listener that will be called when a node joins or leaves the cluster.
    `void` | `setVertx(Vertx vertx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfinispanClusterManager

          public InfinispanClusterManager()

      Creates a new cluster manager configured with `infinispan.xml` and `jgroups.xml` files.

    - #### InfinispanClusterManager

          public InfinispanClusterManager(org.infinispan.manager.DefaultCacheManager cacheManager)

      Creates a new cluster manager with an existing `DefaultCacheManager`. It is your responsibility to start/stop the cache manager when the Vert.x instance joins/leaves the cluster.
      Parameters:
        `cacheManager` - the existing cache manager

  - ### Method Detail

    - #### setVertx

          public void setVertx(Vertx vertx)

      Specified by:
        `setVertx` in interface `ClusterManager`

    - #### getCacheContainer

          public org.infinispan.commons.api.BasicCacheContainer getCacheContainer()

    - #### getAsyncMultiMap

          public <K,V> void getAsyncMultiMap(String name,
                                             Handler<AsyncResult<AsyncMultiMap<K,V>>> resultHandler)

      Description copied from interface: `ClusterManager`
      Return an async multi-map for the given name
      Specified by:
        `getAsyncMultiMap` in interface `ClusterManager`

    - #### getAsyncMap

          public <K,V> void getAsyncMap(String name,
                                        Handler<AsyncResult<AsyncMap<K,V>>> resultHandler)

      Description copied from interface: `ClusterManager`
      Return an async map for the given name
      Specified by:
        `getAsyncMap` in interface `ClusterManager`

    - #### getSyncMap

          public <K,V> Map<K,V> getSyncMap(String name)

      Description copied from interface: `ClusterManager`
      Return a synchronous map for the given name
      Specified by:
        `getSyncMap` in interface `ClusterManager`

    - #### getLockWithTimeout

          public void getLockWithTimeout(String name,
                                         long timeout,
                                         Handler<AsyncResult<Lock>> resultHandler)

      Specified by:
        `getLockWithTimeout` in interface `ClusterManager`

    - #### getCounter

          public void getCounter(String name,
                                 Handler<AsyncResult<Counter>> resultHandler)

      Specified by:
        `getCounter` in interface `ClusterManager`

    - #### getNodeID

          public String getNodeID()

      Description copied from interface: `ClusterManager`
      Return the unique node ID for this node
      Specified by:
        `getNodeID` in interface `ClusterManager`

    - #### getNodes

          public List<String> getNodes()

      Description copied from interface: `ClusterManager`
      Return a list of node IDs corresponding to the nodes in the cluster
      Specified by:
        `getNodes` in interface `ClusterManager`

    - #### nodeListener

          public void nodeListener(NodeListener nodeListener)

      Description copied from interface: `ClusterManager`
      Set a listener that will be called when a node joins or leaves the cluster.
      Specified by:
        `nodeListener` in interface `ClusterManager`

    - #### join

          public void join(Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ClusterManager`
      Join the cluster
      Specified by:
        `join` in interface `ClusterManager`

    - #### leave

          public void leave(Handler<AsyncResult<Void>> resultHandler)

      Description copied from interface: `ClusterManager`
      Leave the cluster
      Specified by:
        `leave` in interface `ClusterManager`

    - #### isActive

          public boolean isActive()

      Description copied from interface: `ClusterManager`
      Is the cluster manager active?
      Specified by:
        `isActive` in interface `ClusterManager`
      Returns:
        true if active, false otherwise

Copyright © 2018 Eclipse. All rights reserved.